<div class="btnAcrossPageName">
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='ADD_NEW'
               nz-button nz-dropdown [nzDropdownMenu]="menu" nzTrigger="click"
               *ngIf="objFunction?.edit"
               mbButtonText="{{'personalTax.label.add' | translate}}"></mb-button>
    <nz-dropdown-menu #menu="nzDropdownMenu">
        <ul nz-menu style='padding: 0'>
            <li
                nz-button
                nz-menu-item
                style="padding: 0 20px"
                (click)='openAddModal(constant.REG_TYPE_CODE.REGISTER_NEW_DP)'
            >
                <div class="menu__item">
                    <em nz-icon nzType="form" nzTheme="outline" style="margin-right: 10px"></em>
                    <span>{{'personalTax.dependentRegisters.registerNewDP' | translate}}</span>
                </div>
            </li>
            <li
                nz-menu-item
                nz-button
                style="padding: 0 20px"
                (click)='openAddModal(constant.REG_TYPE_CODE.REGISTER_LOW_DP)'
            >
                <div class="menu__item">
                    <em nz-icon nzType="form" nzTheme="outline" style="margin-right: 10px"></em>
                    <span>{{'personalTax.dependentRegisters.registerLowDP' | translate}}</span>
                </div>
            </li>
        </ul>
    </nz-dropdown-menu>

  <mb-button
    mbButtonSize="MEDIUM"
    mbButtonAvailableStyle="IMPORT"
    (click)='doImportData()'
    mbButtonText="{{'common.upload.upload' | translate}}"
    *ngIf="objFunction?.approve"
  >
  </mb-button>
  <mb-button
    *ngIf="objFunction?.approve"
    mbButtonSize='SMALL'
    mbButtonAvailableStyle='PRIMARY'
    mbButtonText="{{'personalTax.label.sendEmail' | translate}}"
    nz-popconfirm
    nzCancelText="{{'personalTax.label.action.no' | translate}}" nzOkType="primary"
    nzPopconfirmTitle="{{'personalTax.label.confirmSendMail' | translate }}"
    nzPopconfirmPlacement="left"
    nzOkText="{{'personalTax.label.action.yes' | translate}}"
    (nzOnConfirm)="sendMailConfirmDependent()"
  ></mb-button>
</div>


<div class='ptx__register content__item content__item--border bg__content--default' (keyup.enter)='doSearch(1, true)'>
  <app-loading *ngIf="isLoadingPage"></app-loading>
  <app-search-form #searchForm [functionCode]='functionCode' [isShowRegisterType]="true" [isAddStatus]="true" [defaultListEmpStatus]="null"></app-search-form>

  <div nz-row class="btn__row">
    <div nz-col [nzLg]="{span: 6}" nzSpan="8"></div>
    <div nz-col [nzLg]="{span: 12}" nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)='doSearch(1, true)'
          mbButtonText="{{'personalTax.label.search' | translate}}"
        ></mb-button>
        <mb-button
          nz-button nz-dropdown [nzDropdownMenu]="menuExport" nzTrigger="click"
          mbButtonType="BORDER"
          mbButtonText="{{'personalTax.label.exportList' | translate}}"
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
        <nz-dropdown-menu #menuExport="nzDropdownMenu">
          <ul nz-menu style="padding: 0">
            <li
              nz-button
              nz-menu-item
              style="padding: 0 20px"
              (click)="doExportData('DEFAULT')"
            >
              <div class="menu__item">
                <em nz-icon nzType="download" nzTheme="outline" style="margin-right: 10px"></em>
                <span>{{'personalTax.taxRegisters.btnExportDefault' | translate}}</span>
              </div>
            </li>
            <li
              nz-menu-item
              nz-button
              style="padding: 0 20px"
              (click)="doExportData('ACCORDING_TAX_AUTHORITY')"
            >
              <div class="menu__item">
                <em nz-icon nzType="download" nzTheme="outline" style="margin-right: 10px"></em>
                <span>{{'personalTax.taxRegisters.btnExportAccordingTaxAuthority' | translate}}</span>
              </div>
            </li>
          </ul>
        </nz-dropdown-menu>
      </div>
    </div>
    <div nz-col [nzLg]="{span: 6}" nzSpan="8"></div>
  </div>
</div>

<div class='search__result'>
    <mb-table-merge-cell-wrap>
      <div class="headerTableSelect">
        <app-btn-action-by-list
          [isDisabled]='isDisabled'
          [listRegisterId]='listRegisterId'
          [urlApproveAll]='urlApproveAll'
          [urlApproveByList]='urlApproveByList'
          [searchFormApprove]='searchFormApprove'
          (doSearch)='doSearch(pagination.pageNumber)'
          (openReject)='openRejectByList()'
          (resetListRegisterId)="resetListRegisterId()"
          *ngIf='objFunction?.approve'
          (onLoadPage)="onLoadPage($event)"
        >
        </app-btn-action-by-list>
      </div>
      <mb-table-merge-cell
        #table
        (changePageNum)='doSearch($event)'
        [tableConfig]='tableConfig' [dataList]='searchResult'
        (dblClickRow)="onDblClickNode($event)"
        (amountSelectedRowsChange)="onAmountSelectedRowChange($event)"
      ></mb-table-merge-cell>
    </mb-table-merge-cell-wrap>
</div>


<ng-template #actionTmpl let-status='status' let-dependentRegisterId='dependentRegisterId' let-regType='regType'>
<app-btn-action-by-id
  [registerId]='dependentRegisterId'
  [status]='status'
  [urlApproveByList]='urlApproveByList'
  [urlDeleteById]='urlDeleteById'
  (doSearch)='doSearch(pagination.pageNumber)'
  (openReject)='openRejectById($event)'
  (openModalEdit)='openModalEdit($event, regType)'
  (openModalDetail)='openModalDetail($event, regType)'
  [showDelete]='objFunction?.delete'
  [showEdit]='objFunction?.edit'
  [showApprove]='objFunction?.approve'
  (onLoadPage)="onLoadPage($event)"
  [isCheckApprove]="true"
>
</app-btn-action-by-id>
</ng-template>

<app-import-common [showContent]='isImportData'
                 (onCloseModal)='doCloseImport($event)'
                 [urlApiDownloadTemp]='urlApiDownloadTemp'
                 [urlApiImport]='urlApiImport'
                   (onLoadPage)="onLoadPage($event)"
>
</app-import-common>

<app-reject-common
[isReject]="isReject"
[listRegisterId]="listRegisterId"
[id]='rejectId'
[isRejectList]="isRejectList"
[urlRejectByList]='urlReject'
(onCloseModal)="doCloseReject($event)"
(resetListDraftId)="resetListRegisterId()"
>
</app-reject-common>

<ng-template #statusTmpl let-status='status'>
<ng-container *ngFor='let item of statusRegisterList'>
  <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}" *ngIf='status.toString() === item.value'>{{item.label | translate}}</nz-tag>
</ng-container>
</ng-template>


<ng-template #empStatusTmpl let-empStatus='empStatus'>
<app-emp-status-common [empStatus]='empStatus'></app-emp-status-common>
</ng-template>

<ng-template #attachFileTmpl let-attachFileList='attachFileList' >
<div *ngFor="let file of attachFileList">
  <a class="attach-file" (click)="doDownloadAttach(file); $event.stopPropagation();">{{file.fileName}}</a>
</div>
</ng-template>
